

fs/ext3/super.c: In function `ext3_fill_super':
fs/ext3/super.c:1512: request for member `counter' in something not a structure or union
fs/ext3/super.c:1513: request for member `counter' in something not a structure or union


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-x86_64-akpm/fs/ext3/super.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/ext3/super.c~ext3-reservation-info-cleanup-remove-rsv_seqlock-fix fs/ext3/super.c
--- 25-x86_64/fs/ext3/super.c~ext3-reservation-info-cleanup-remove-rsv_seqlock-fix	Wed Mar 23 20:05:28 2005
+++ 25-x86_64-akpm/fs/ext3/super.c	Wed Mar 23 20:12:07 2005
@@ -1509,8 +1509,8 @@ static int ext3_fill_super (struct super
 	 * _much_ simpler. */
 	sbi->s_rsv_window_head.rsv_start = EXT3_RESERVE_WINDOW_NOT_ALLOCATED;
 	sbi->s_rsv_window_head.rsv_end = EXT3_RESERVE_WINDOW_NOT_ALLOCATED;
-	atomic_set(&sbi->s_rsv_window_head.rsv_alloc_hit, 0);
-	atomic_set(&sbi->s_rsv_window_head.rsv_goal_size, 0);
+	sbi->s_rsv_window_head.rsv_alloc_hit = 0;
+	sbi->s_rsv_window_head.rsv_goal_size = 0;
 	ext3_rsv_window_add(sb, &sbi->s_rsv_window_head);
 
 	/*
_
